diff --git a/django/conf/__init__.py b/django/conf/__init__.py
index a3f7ee0..8439f0f 100644
--- a/django/conf/__init__.py
+++ b/django/conf/__init__.py
@@ -91,7 +91,7 @@ class Settings(BaseSettings):
 
         try:
             mod = importlib.import_module(self.SETTINGS_MODULE)
-        except ImportError, e:
+        except ImportError as e:
             raise ImportError("Could not import settings '%s' (Is it on sys.path?): %s" % (self.SETTINGS_MODULE, e))
 
         # Settings that should be converted into tuples if they're mistakenly entered
diff --git a/django/contrib/admin/tests.py b/django/contrib/admin/tests.py
index 2491fc6..59fa9ba 100644
--- a/django/contrib/admin/tests.py
+++ b/django/contrib/admin/tests.py
@@ -18,7 +18,7 @@ class AdminSeleniumWebDriverTestCase(LiveServerTestCase):
             mod = import_module(module)
             WebDriver = getattr(mod, attr)
             cls.selenium = WebDriver()
-        except Exception, e:
+        except Exception as e:
             raise SkipTest('Selenium webdriver "%s" not installed or not '
                            'operational: %s' % (cls.webdriver_class, str(e)))
         super(AdminSeleniumWebDriverTestCase, cls).setUpClass()
diff --git a/django/contrib/admin/util.py b/django/contrib/admin/util.py
index 61182a6..b1670cb 100644
--- a/django/contrib/admin/util.py
+++ b/django/contrib/admin/util.py
@@ -153,7 +153,7 @@ class NestedObjects(Collector):
                 self.add_edge(None, obj)
         try:
             return super(NestedObjects, self).collect(objs, source_attr=source_attr, **kwargs)
-        except models.ProtectedError, e:
+        except models.ProtectedError as e:
             self.protected.update(e.protected_objects)
 
     def related_objects(self, related, objs):
diff --git a/django/contrib/admin/views/main.py b/django/contrib/admin/views/main.py
index b11f9d5..a250315 100644
--- a/django/contrib/admin/views/main.py
+++ b/django/contrib/admin/views/main.py
@@ -139,7 +139,7 @@ class ChangeList(object):
                 use_distinct = (use_distinct or
                                 lookup_needs_distinct(self.lookup_opts, key))
             return filter_specs, bool(filter_specs), lookup_params, use_distinct
-        except FieldDoesNotExist, e:
+        except FieldDoesNotExist as e:
             raise IncorrectLookupParameters(e)
 
     def get_query_string(self, new_params=None, remove=None):
@@ -316,7 +316,7 @@ class ChangeList(object):
             # Allow certain types of errors to be re-raised as-is so that the
             # caller can treat them in a special way.
             raise
-        except Exception, e:
+        except Exception as e:
             # Every other error is caught with a naked except, because we don't
             # have any other way of validating lookup parameters. They might be
             # invalid if the keyword arguments are incorrect, or if the values
diff --git a/django/contrib/admindocs/views.py b/django/contrib/admindocs/views.py
index 33d9a7d..c3405a7 100644
--- a/django/contrib/admindocs/views.py
+++ b/django/contrib/admindocs/views.py
@@ -318,7 +318,7 @@ def load_all_installed_template_libraries():
         for library_name in libraries:
             try:
                 lib = template.get_library(library_name)
-            except template.InvalidTemplateLibrary, e:
+            except template.InvalidTemplateLibrary as e:
                 pass
 
 def get_return_data_type(func_name):
diff --git a/django/contrib/auth/__init__.py b/django/contrib/auth/__init__.py
index 3495e16..93fd441 100644
--- a/django/contrib/auth/__init__.py
+++ b/django/contrib/auth/__init__.py
@@ -12,9 +12,9 @@ def load_backend(path):
     module, attr = path[:i], path[i+1:]
     try:
         mod = import_module(module)
-    except ImportError, e:
+    except ImportError as e:
         raise ImproperlyConfigured('Error importing authentication backend %s: "%s"' % (path, e))
-    except ValueError, e:
+    except ValueError as e:
         raise ImproperlyConfigured('Error importing authentication backends. Is AUTHENTICATION_BACKENDS a correctly defined list or tuple?')
     try:
         cls = getattr(mod, attr)
diff --git a/django/contrib/comments/views/comments.py b/django/contrib/comments/views/comments.py
index 5772016..c9a1160 100644
--- a/django/contrib/comments/views/comments.py
+++ b/django/contrib/comments/views/comments.py
@@ -66,7 +66,7 @@ def post_comment(request, next=None, using=None):
         return CommentPostBadRequest(
             "No object matching content-type %r and object PK %r exists." % \
                 (escape(ctype), escape(object_pk)))
-    except (ValueError, ValidationError), e:
+    except (ValueError, ValidationError) as e:
         return CommentPostBadRequest(
             "Attempting go get content-type %r and object PK %r exists raised %s" % \
                 (escape(ctype), escape(object_pk), e.__class__.__name__))
diff --git a/django/contrib/formtools/wizard/storage/__init__.py b/django/contrib/formtools/wizard/storage/__init__.py
index b88ccc7..f2293c9 100644
--- a/django/contrib/formtools/wizard/storage/__init__.py
+++ b/django/contrib/formtools/wizard/storage/__init__.py
@@ -10,7 +10,7 @@ def get_storage(path, *args, **kwargs):
     module, attr = path[:i], path[i+1:]
     try:
         mod = import_module(module)
-    except ImportError, e:
+    except ImportError as e:
         raise MissingStorageModule(
             'Error loading storage %s: "%s"' % (module, e))
     try:
diff --git a/django/contrib/gis/db/backends/base.py b/django/contrib/gis/db/backends/base.py
index c8bb3d2..26e9762 100644
--- a/django/contrib/gis/db/backends/base.py
+++ b/django/contrib/gis/db/backends/base.py
@@ -164,13 +164,13 @@ class SpatialRefSysMixin(object):
                 try:
                     self._srs = gdal.SpatialReference(self.wkt)
                     return self.srs
-                except Exception, msg:
+                except Exception as msg:
                     pass
 
                 try:
                     self._srs = gdal.SpatialReference(self.proj4text)
                     return self.srs
-                except Exception, msg:
+                except Exception as msg:
                     pass
 
                 raise Exception('Could not get OSR SpatialReference from WKT: %s\nError:\n%s' % (self.wkt, msg))
diff --git a/django/contrib/gis/db/backends/oracle/introspection.py b/django/contrib/gis/db/backends/oracle/introspection.py
index 58dd3f3..716f318 100644
--- a/django/contrib/gis/db/backends/oracle/introspection.py
+++ b/django/contrib/gis/db/backends/oracle/introspection.py
@@ -16,7 +16,7 @@ class OracleIntrospection(DatabaseIntrospection):
                 cursor.execute('SELECT "DIMINFO", "SRID" FROM "USER_SDO_GEOM_METADATA" WHERE "TABLE_NAME"=%s AND "COLUMN_NAME"=%s',
                                (table_name.upper(), geo_col.upper()))
                 row = cursor.fetchone()
-            except Exception, msg:
+            except Exception as msg:
                 raise Exception('Could not find entry in USER_SDO_GEOM_METADATA corresponding to "%s"."%s"\n'
                                 'Error message: %s.' % (table_name, geo_col, msg))
 
diff --git a/django/contrib/gis/db/backends/postgis/operations.py b/django/contrib/gis/db/backends/postgis/operations.py
index 3286748..9dcfe4c 100644
--- a/django/contrib/gis/db/backends/postgis/operations.py
+++ b/django/contrib/gis/db/backends/postgis/operations.py
@@ -107,7 +107,7 @@ class PostGISOperations(DatabaseOperations, BaseSpatialOperations):
                                        'Was the database created from a spatial database '
                                        'template?' % self.connection.settings_dict['NAME']
                                        )
-        except Exception, e:
+        except Exception as e:
             # TODO: Raise helpful exceptions as they become known.
             raise
 
diff --git a/django/contrib/gis/db/backends/spatialite/base.py b/django/contrib/gis/db/backends/spatialite/base.py
index aea52f5..b447d1d 100644
--- a/django/contrib/gis/db/backends/spatialite/base.py
+++ b/django/contrib/gis/db/backends/spatialite/base.py
@@ -56,7 +56,7 @@ class DatabaseWrapper(SQLiteDatabaseWrapper):
             cur = self.connection.cursor(factory=SQLiteCursorWrapper)
             try:
                 cur.execute("SELECT load_extension(%s)", (self.spatialite_lib,))
-            except Exception, msg:
+            except Exception as msg:
                 raise ImproperlyConfigured('Unable to load the SpatiaLite library extension '
                                            '"%s" because: %s' % (self.spatialite_lib, msg))
             return cur
diff --git a/django/contrib/gis/db/backends/spatialite/operations.py b/django/contrib/gis/db/backends/spatialite/operations.py
index a0efb99..6adcdc5 100644
--- a/django/contrib/gis/db/backends/spatialite/operations.py
+++ b/django/contrib/gis/db/backends/spatialite/operations.py
@@ -122,7 +122,7 @@ class SpatiaLiteOperations(DatabaseOperations, BaseSpatialOperations):
             self.spatial_version = version
         except ImproperlyConfigured:
             raise
-        except Exception, msg:
+        except Exception as msg:
             raise ImproperlyConfigured('Cannot determine the SpatiaLite version for the "%s" '
                                        'database (error was "%s").  Was the SpatiaLite initialization '
                                        'SQL loaded on this database?' %
diff --git a/django/contrib/gis/geometry/backend/__init__.py b/django/contrib/gis/geometry/backend/__init__.py
index d79a556..2e2495d 100644
--- a/django/contrib/gis/geometry/backend/__init__.py
+++ b/django/contrib/gis/geometry/backend/__init__.py
@@ -6,10 +6,10 @@ geom_backend = getattr(settings, 'GEOMETRY_BACKEND', 'geos')
 
 try:
     module = import_module('.%s' % geom_backend, 'django.contrib.gis.geometry.backend')
-except ImportError, e:
+except ImportError as e:
     try:
         module = import_module(geom_backend)
-    except ImportError, e_user:
+    except ImportError as e_user:
         raise ImproperlyConfigured('Could not import user-defined GEOMETRY_BACKEND '
                                    '"%s".' % geom_backend)
 
diff --git a/django/contrib/gis/management/commands/ogrinspect.py b/django/contrib/gis/management/commands/ogrinspect.py
index fbc6f53..6037cc7 100644
--- a/django/contrib/gis/management/commands/ogrinspect.py
+++ b/django/contrib/gis/management/commands/ogrinspect.py
@@ -87,7 +87,7 @@ class Command(LabelCommand):
         # Getting the OGR DataSource from the string parameter.
         try:
             ds = gdal.DataSource(data_source)
-        except gdal.OGRException, msg:
+        except gdal.OGRException as msg:
             raise CommandError(msg)
 
         # Whether the user wants to generate the LayerMapping dictionary as well.
diff --git a/django/contrib/gis/tests/test_measure.py b/django/contrib/gis/tests/test_measure.py
index 8ca6be1..6792569 100644
--- a/django/contrib/gis/tests/test_measure.py
+++ b/django/contrib/gis/tests/test_measure.py
@@ -64,28 +64,28 @@ class DistanceTest(unittest.TestCase):
 
         try:
             d5 = d1 + 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Distance + number should raise TypeError')
 
         try:
             d5 = d1 - 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Distance - number should raise TypeError')
 
         try:
             d1 += 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Distance += number should raise TypeError')
 
         try:
             d1 -= 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Distance -= number should raise TypeError')
@@ -112,21 +112,21 @@ class DistanceTest(unittest.TestCase):
 
         try:
             d1 *= D(m=1)
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Distance *= Distance should raise TypeError')
 
         try:
             d5 = d1 / D(m=1)
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Distance / Distance should raise TypeError')
 
         try:
             d1 /= D(m=1)
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Distance /= Distance should raise TypeError')
@@ -219,28 +219,28 @@ class AreaTest(unittest.TestCase):
 
         try:
             a5 = a1 + 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area + number should raise TypeError')
 
         try:
             a5 = a1 - 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area - number should raise TypeError')
 
         try:
             a1 += 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area += number should raise TypeError')
 
         try:
             a1 -= 1
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area -= number should raise TypeError')
@@ -263,28 +263,28 @@ class AreaTest(unittest.TestCase):
 
         try:
             a5 = a1 * A(sq_m=1)
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area * Area should raise TypeError')
 
         try:
             a1 *= A(sq_m=1)
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area *= Area should raise TypeError')
 
         try:
             a5 = a1 / A(sq_m=1)
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area / Area should raise TypeError')
 
         try:
             a1 /= A(sq_m=1)
-        except TypeError, e:
+        except TypeError as e:
             pass
         else:
             self.fail('Area /= Area should raise TypeError')
diff --git a/django/contrib/gis/utils/layermapping.py b/django/contrib/gis/utils/layermapping.py
index 154617f..ea3f3d7 100644
--- a/django/contrib/gis/utils/layermapping.py
+++ b/django/contrib/gis/utils/layermapping.py
@@ -430,7 +430,7 @@ class LayerMapping(object):
 
             # Creating the CoordTransform object
             return CoordTransform(self.source_srs, target_srs)
-        except Exception, msg:
+        except Exception as msg:
             raise LayerMapError('Could not translate between the data source and model geometry: %s' % msg)
 
     def geometry_field(self):
@@ -514,7 +514,7 @@ class LayerMapping(object):
                 # Getting the keyword arguments
                 try:
                     kwargs = self.feature_kwargs(feat)
-                except LayerMapError, msg:
+                except LayerMapError as msg:
                     # Something borked the validation
                     if strict: raise
                     elif not silent:
@@ -553,7 +553,7 @@ class LayerMapping(object):
                         if verbose: stream.write('%s: %s\n' % (is_update and 'Updated' or 'Saved', m))
                     except SystemExit:
                         raise
-                    except Exception, msg:
+                    except Exception as msg:
                         if self.transaction_mode == 'autocommit':
                             # Rolling back the transaction so that other model saves
                             # will work.
diff --git a/django/contrib/markup/tests.py b/django/contrib/markup/tests.py
index cccb5c8..05df318 100644
--- a/django/contrib/markup/tests.py
+++ b/django/contrib/markup/tests.py
@@ -87,7 +87,7 @@ Paragraph 2 with a link_
             # Docutils v0.4 and earlier
             self.assertEqual(rendered, """<p>Paragraph 1</p>
 <p>Paragraph 2 with a <a class="reference" href="http://www.example.com/">link</a></p>""")
-        except AssertionError, e:
+        except AssertionError as e:
             # Docutils from SVN (which will become 0.5)
             self.assertEqual(rendered, """<p>Paragraph 1</p>
 <p>Paragraph 2 with a <a class="reference external" href="http://www.example.com/">link</a></p>""")
diff --git a/django/contrib/messages/storage/__init__.py b/django/contrib/messages/storage/__init__.py
index ce3971b..a584acc 100644
--- a/django/contrib/messages/storage/__init__.py
+++ b/django/contrib/messages/storage/__init__.py
@@ -15,7 +15,7 @@ def get_storage(import_path):
     module, classname = import_path[:dot], import_path[dot + 1:]
     try:
         mod = import_module(module)
-    except ImportError, e:
+    except ImportError as e:
         raise ImproperlyConfigured('Error importing module %s: "%s"' %
                                    (module, e))
     try:
diff --git a/django/contrib/sessions/backends/file.py b/django/contrib/sessions/backends/file.py
index 8ffddc4..cb81534 100644
--- a/django/contrib/sessions/backends/file.py
+++ b/django/contrib/sessions/backends/file.py
@@ -90,7 +90,7 @@ class SessionStore(SessionBase):
             fd = os.open(session_file_name, flags)
             os.close(fd)
 
-        except OSError, e:
+        except OSError as e:
             if must_create and e.errno == errno.EEXIST:
                 raise CreateError
             raise
diff --git a/django/contrib/staticfiles/finders.py b/django/contrib/staticfiles/finders.py
index 7b4c7c8..766687c 100644
--- a/django/contrib/staticfiles/finders.py
+++ b/django/contrib/staticfiles/finders.py
@@ -260,7 +260,7 @@ def _get_finder(import_path):
     module, attr = import_path.rsplit('.', 1)
     try:
         mod = import_module(module)
-    except ImportError, e:
+    except ImportError as e:
         raise ImproperlyConfigured('Error importing module %s: "%s"' %
                                    (module, e))
     try:
diff --git a/django/contrib/staticfiles/handlers.py b/django/contrib/staticfiles/handlers.py
index 962b835..f475b22 100644
--- a/django/contrib/staticfiles/handlers.py
+++ b/django/contrib/staticfiles/handlers.py
@@ -56,7 +56,7 @@ class StaticFilesHandler(WSGIHandler):
         if self._should_handle(request.path):
             try:
                 return self.serve(request)
-            except Http404, e:
+            except Http404 as e:
                 if settings.DEBUG:
                     from django.views import debug
                     return debug.technical_404_response(request, e)
diff --git a/django/core/cache/__init__.py b/django/core/cache/__init__.py
index 346deae..3b40555 100644
--- a/django/core/cache/__init__.py
+++ b/django/core/cache/__init__.py
@@ -173,7 +173,7 @@ def get_cache(backend, **kwargs):
             mod_path, cls_name = backend.rsplit('.', 1)
             mod = importlib.import_module(mod_path)
             backend_cls = getattr(mod, cls_name)
-    except (AttributeError, ImportError), e:
+    except (AttributeError, ImportError) as e:
         raise InvalidCacheBackendError(
             "Could not find backend '%s': %s" % (backend, e))
     cache = backend_cls(location, params)
diff --git a/django/core/files/move.py b/django/core/files/move.py
index 3349fc2..4778228 100644
--- a/django/core/files/move.py
+++ b/django/core/files/move.py
@@ -79,7 +79,7 @@ def file_move_safe(old_file_name, new_file_name, chunk_size = 1024*64, allow_ove
 
     try:
         os.remove(old_file_name)
-    except OSError, e:
+    except OSError as e:
         # Certain operating systems (Cygwin and Windows) 
         # fail when deleting opened files, ignore it.  (For the 
         # systems where this happens, temporary files will be auto-deleted
diff --git a/django/core/files/storage.py b/django/core/files/storage.py
index aa62175..6b724b4 100644
--- a/django/core/files/storage.py
+++ b/django/core/files/storage.py
@@ -166,7 +166,7 @@ class FileSystemStorage(Storage):
         if not os.path.exists(directory):
             try:
                 os.makedirs(directory)
-            except OSError, e:
+            except OSError as e:
                 if e.errno != errno.EEXIST:
                     raise
         if not os.path.isdir(directory):
@@ -197,7 +197,7 @@ class FileSystemStorage(Storage):
                     finally:
                         locks.unlock(fd)
                         os.close(fd)
-            except OSError, e:
+            except OSError as e:
                 if e.errno == errno.EEXIST:
                     # Ooops, the file exists. We need a new file name.
                     name = self.get_available_name(name)
@@ -222,7 +222,7 @@ class FileSystemStorage(Storage):
         if os.path.exists(name):
             try:
                 os.remove(name)
-            except OSError, e:
+            except OSError as e:
                 if e.errno != errno.ENOENT:
                     raise
 
@@ -273,7 +273,7 @@ def get_storage_class(import_path=None):
     module, classname = import_path[:dot], import_path[dot+1:]
     try:
         mod = import_module(module)
-    except ImportError, e:
+    except ImportError as e:
         raise ImproperlyConfigured('Error importing storage module %s: "%s"' % (module, e))
     try:
         return getattr(mod, classname)
diff --git a/django/core/files/uploadedfile.py b/django/core/files/uploadedfile.py
index 5178f0b..1dcd9ae 100644
--- a/django/core/files/uploadedfile.py
+++ b/django/core/files/uploadedfile.py
@@ -75,7 +75,7 @@ class TemporaryUploadedFile(UploadedFile):
     def close(self):
         try:
             return self.file.close()
-        except OSError, e:
+        except OSError as e:
             if e.errno != 2:
                 # Means the file was moved or deleted before the tempfile
                 # could unlink it.  Still sets self.file.close_called and
diff --git a/django/core/files/uploadhandler.py b/django/core/files/uploadhandler.py
index 2afb79e..b806098 100644
--- a/django/core/files/uploadhandler.py
+++ b/django/core/files/uploadhandler.py
@@ -204,9 +204,9 @@ def load_handler(path, *args, **kwargs):
     module, attr = path[:i], path[i+1:]
     try:
         mod = importlib.import_module(module)
-    except ImportError, e:
+    except ImportError as e:
         raise ImproperlyConfigured('Error importing upload handler module %s: "%s"' % (module, e))
-    except ValueError, e:
+    except ValueError as e:
         raise ImproperlyConfigured('Error importing upload handler module. Is FILE_UPLOAD_HANDLERS a correctly defined list or tuple?')
     try:
         cls = getattr(mod, attr)
diff --git a/django/core/handlers/base.py b/django/core/handlers/base.py
index a0918bf..4c9dfc0 100644
--- a/django/core/handlers/base.py
+++ b/django/core/handlers/base.py
@@ -43,7 +43,7 @@ class BaseHandler(object):
                 raise exceptions.ImproperlyConfigured('%s isn\'t a middleware module' % middleware_path)
             try:
                 mod = import_module(mw_module)
-            except ImportError, e:
+            except ImportError as e:
                 raise exceptions.ImproperlyConfigured('Error importing middleware %s: "%s"' % (mw_module, e))
             try:
                 mw_class = getattr(mod, mw_classname)
@@ -109,7 +109,7 @@ class BaseHandler(object):
                 if response is None:
                     try:
                         response = callback(request, *callback_args, **callback_kwargs)
-                    except Exception, e:
+                    except Exception as e:
                         # If the view raised an exception, run it through exception
                         # middleware, and if the exception middleware returns a
                         # response, use that. Otherwise, reraise the exception.
@@ -135,7 +135,7 @@ class BaseHandler(object):
                         response = middleware_method(request, response)
                     response = response.render()
 
-            except http.Http404, e:
+            except http.Http404 as e:
                 logger.warning('Not Found: %s', request.path,
                             extra={
                                 'status_code': 404,
diff --git a/django/core/mail/__init__.py b/django/core/mail/__init__.py
index 7ab02c3..3e3ef0d 100644
--- a/django/core/mail/__init__.py
+++ b/django/core/mail/__init__.py
@@ -30,7 +30,7 @@ def get_connection(backend=None, fail_silently=False, **kwds):
     try:
         mod_name, klass_name = path.rsplit('.', 1)
         mod = import_module(mod_name)
-    except ImportError, e:
+    except ImportError as e:
         raise ImproperlyConfigured(('Error importing email backend module %s: "%s"'
                                     % (mod_name, e)))
     try:
diff --git a/django/core/mail/backends/filebased.py b/django/core/mail/backends/filebased.py
index 3f6b99b..674ca32 100644
--- a/django/core/mail/backends/filebased.py
+++ b/django/core/mail/backends/filebased.py
@@ -25,7 +25,7 @@ class EmailBackend(ConsoleEmailBackend):
         elif not os.path.exists(self.file_path):
             try:
                 os.makedirs(self.file_path)
-            except OSError, err:
+            except OSError as err:
                 raise ImproperlyConfigured('Could not create directory for saving email messages: %s (%s)' % (self.file_path, err))
         # Make sure that self.file_path is writable.
         if not os.access(self.file_path, os.W_OK):
diff --git a/django/core/management/base.py b/django/core/management/base.py
index db855e1..42c9ccd 100644
--- a/django/core/management/base.py
+++ b/django/core/management/base.py
@@ -215,7 +215,7 @@ class BaseCommand(object):
                 from django.utils import translation
                 saved_lang = translation.get_language()
                 translation.activate('en-us')
-            except ImportError, e:
+            except ImportError as e:
                 # If settings should be available, but aren't,
                 # raise the error and quit.
                 if show_traceback:
@@ -241,7 +241,7 @@ class BaseCommand(object):
                 self.stdout.write(output)
                 if self.output_transaction:
                     self.stdout.write('\n' + self.style.SQL_KEYWORD("COMMIT;") + '\n')
-        except CommandError, e:
+        except CommandError as e:
             if show_traceback:
                 traceback.print_exc()
             else:
@@ -297,7 +297,7 @@ class AppCommand(BaseCommand):
             raise CommandError('Enter at least one appname.')
         try:
             app_list = [models.get_app(app_label) for app_label in app_labels]
-        except (ImproperlyConfigured, ImportError), e:
+        except (ImproperlyConfigured, ImportError) as e:
             raise CommandError("%s. Are you sure your INSTALLED_APPS setting is correct?" % e)
         output = []
         for app in app_list:
diff --git a/django/core/management/commands/createcachetable.py b/django/core/management/commands/createcachetable.py
index 7164d1a..82a126b 100644
--- a/django/core/management/commands/createcachetable.py
+++ b/django/core/management/commands/createcachetable.py
@@ -54,7 +54,7 @@ class Command(LabelCommand):
         curs = connection.cursor()
         try:
             curs.execute("\n".join(full_statement))
-        except DatabaseError, e:
+        except DatabaseError as e:
             self.stderr.write(
                 self.style.ERROR("Cache table '%s' could not be created.\nThe error was: %s.\n" %
                     (tablename, e)))
diff --git a/django/core/management/commands/dumpdata.py b/django/core/management/commands/dumpdata.py
index 1622929..71d6fa7 100644
--- a/django/core/management/commands/dumpdata.py
+++ b/django/core/management/commands/dumpdata.py
@@ -111,7 +111,7 @@ class Command(BaseCommand):
         try:
             return serializers.serialize(format, objects, indent=indent,
                         use_natural_keys=use_natural_keys)
-        except Exception, e:
+        except Exception as e:
             if show_traceback:
                 raise
             raise CommandError("Unable to serialize database: %s" % e)
diff --git a/django/core/management/commands/flush.py b/django/core/management/commands/flush.py
index 6d0f14e..12a276e 100644
--- a/django/core/management/commands/flush.py
+++ b/django/core/management/commands/flush.py
@@ -55,7 +55,7 @@ Are you sure you want to do this?
                 cursor = connection.cursor()
                 for sql in sql_list:
                     cursor.execute(sql)
-            except Exception, e:
+            except Exception as e:
                 transaction.rollback_unless_managed(using=db)
                 raise CommandError("""Database %s couldn't be flushed. Possible reasons:
   * The database isn't running or isn't configured correctly.
diff --git a/django/core/management/commands/loaddata.py b/django/core/management/commands/loaddata.py
index 0c234fb..d066343 100644
--- a/django/core/management/commands/loaddata.py
+++ b/django/core/management/commands/loaddata.py
@@ -194,7 +194,7 @@ class Command(BaseCommand):
                                             models.add(obj.object.__class__)
                                             try:
                                                 obj.save(using=using)
-                                            except (DatabaseError, IntegrityError), e:
+                                            except (DatabaseError, IntegrityError) as e:
                                                 msg = "Could not load %(app_label)s.%(object_name)s(pk=%(pk)s): %(error_msg)s" % {
                                                         'app_label': obj.object._meta.app_label,
                                                         'object_name': obj.object._meta.object_name,
diff --git a/django/core/management/commands/reset.py b/django/core/management/commands/reset.py
index e45edb7..4ac1a03 100644
--- a/django/core/management/commands/reset.py
+++ b/django/core/management/commands/reset.py
@@ -49,7 +49,7 @@ Type 'yes' to continue, or 'no' to cancel: """ % (app_name, connection.settings_
                 cursor = connection.cursor()
                 for sql in sql_list:
                     cursor.execute(sql)
-            except Exception, e:
+            except Exception as e:
                 transaction.rollback_unless_managed()
                 raise CommandError("""Error: %s couldn't be reset. Possible reasons:
   * The database isn't running or isn't configured correctly.
diff --git a/django/core/management/commands/runserver.py b/django/core/management/commands/runserver.py
index e93af96..3ec4ea8 100644
--- a/django/core/management/commands/runserver.py
+++ b/django/core/management/commands/runserver.py
@@ -109,7 +109,7 @@ class BaseRunserverCommand(BaseCommand):
             handler = self.get_handler(*args, **options)
             run(self.addr, int(self.port), handler,
                 ipv6=self.use_ipv6, threading=threading)
-        except WSGIServerException, e:
+        except WSGIServerException as e:
             # Use helpful error messages instead of ugly tracebacks.
             ERRORS = {
                 13: "You don't have permission to access that port.",
